<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>

<script>
    todosLosPerros = [];
    class Perro {
        constructor(nombre){
            this.name = nombre;
        };
    }
    let perro = new Perro();
    do
        
        perro.name = prompt("ingrese un nombre del perro: "),
        perro.edad = prompt("Ingrese la edad:"),
        perro.state = prompt( 'seleccione opcion: \n 0 - En Adopcion \n 1 - Proceso de adopcion \n 2 - Adoptado'),
        todosLosPerros.push(perro),
        perro = new Perro(),
        agregarOtro = prompt("Desea agregar otro perro? \n si o no ")
    while (agregarOtro === "si");


    console.table(todosLosPerros);
</script>


</body>
</html>